Package io.vertx.grpc.reflection.v1

## Class ListServiceResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessage.Builder<ListServiceResponse.Builder>
      - - io.vertx.grpc.reflection.v1.ListServiceResponse.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ListServiceResponseOrBuilder`, `Cloneable`
  Enclosing class:
    ListServiceResponse

      public static final class ListServiceResponse.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<ListServiceResponse.Builder>
      implements ListServiceResponseOrBuilder

       A list of ServiceResponse sent by the server answering list_services request.

  Protobuf type `grpc.reflection.v1.ListServiceResponse`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ListServiceResponse.Builder` | `addAllService​(Iterable<? extends ServiceResponse> values)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ListServiceResponse.Builder` | `addService​(int index, ServiceResponse value)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ListServiceResponse.Builder` | `addService​(int index, ServiceResponse.Builder builderForValue)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ListServiceResponse.Builder` | `addService​(ServiceResponse value)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ListServiceResponse.Builder` | `addService​(ServiceResponse.Builder builderForValue)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ServiceResponse.Builder` | `addServiceBuilder()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ServiceResponse.Builder` | `addServiceBuilder​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ListServiceResponse` | `build()` |
    `ListServiceResponse` | `buildPartial()` |
    `ListServiceResponse.Builder` | `clear()` |
    `ListServiceResponse.Builder` | `clearService()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ListServiceResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `ServiceResponse` | `getService​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ServiceResponse.Builder` | `getServiceBuilder​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `List<ServiceResponse.Builder>` | `getServiceBuilderList()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `int` | `getServiceCount()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `List<ServiceResponse>` | `getServiceList()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ServiceResponseOrBuilder` | `getServiceOrBuilder​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `List<? extends ServiceResponseOrBuilder>` | `getServiceOrBuilderList()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `ListServiceResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `ListServiceResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `ListServiceResponse.Builder` | `mergeFrom​(ListServiceResponse other)` |
    `ListServiceResponse.Builder` | `removeService​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ListServiceResponse.Builder` | `setService​(int index, ServiceResponse value)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ListServiceResponse.Builder` | `setService​(int index, ServiceResponse.Builder builderForValue)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.Message.Builder

      `mergeDelimitedFrom, mergeDelimitedFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<ListServiceResponse.Builder>`

    - #### clear

          public ListServiceResponse.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<ListServiceResponse.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<ListServiceResponse.Builder>`

    - #### getDefaultInstanceForType

          public ListServiceResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public ListServiceResponse build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public ListServiceResponse buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public ListServiceResponse.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ListServiceResponse.Builder>`

    - #### mergeFrom

          public ListServiceResponse.Builder mergeFrom​(ListServiceResponse other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<ListServiceResponse.Builder>`

    - #### mergeFrom

          public ListServiceResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ListServiceResponse.Builder>`
      Throws:
        `IOException`

    - #### getServiceList

          public List<ServiceResponse> getServiceList()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getServiceList` in interface `ListServiceResponseOrBuilder`

    - #### getServiceCount

          public int getServiceCount()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getServiceCount` in interface `ListServiceResponseOrBuilder`

    - #### getService

          public ServiceResponse getService​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getService` in interface `ListServiceResponseOrBuilder`

    - #### setService

          public ListServiceResponse.Builder setService​(int index,
                                                        ServiceResponse value)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### setService

          public ListServiceResponse.Builder setService​(int index,
                                                        ServiceResponse.Builder builderForValue)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### addService

          public ListServiceResponse.Builder addService​(ServiceResponse value)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### addService

          public ListServiceResponse.Builder addService​(int index,
                                                        ServiceResponse value)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### addService

          public ListServiceResponse.Builder addService​(ServiceResponse.Builder builderForValue)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### addService

          public ListServiceResponse.Builder addService​(int index,
                                                        ServiceResponse.Builder builderForValue)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### addAllService

          public ListServiceResponse.Builder addAllService​(Iterable<? extends ServiceResponse> values)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### clearService

          public ListServiceResponse.Builder clearService()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### removeService

          public ListServiceResponse.Builder removeService​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### getServiceBuilder

          public ServiceResponse.Builder getServiceBuilder​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### getServiceOrBuilder

          public ServiceResponseOrBuilder getServiceOrBuilder​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getServiceOrBuilder` in interface `ListServiceResponseOrBuilder`

    - #### getServiceOrBuilderList

          public List<? extends ServiceResponseOrBuilder> getServiceOrBuilderList()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getServiceOrBuilderList` in interface `ListServiceResponseOrBuilder`

    - #### addServiceBuilder

          public ServiceResponse.Builder addServiceBuilder()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### addServiceBuilder

          public ServiceResponse.Builder addServiceBuilder​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### getServiceBuilderList

          public List<ServiceResponse.Builder> getServiceBuilderList()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`